<?php

/**
 * Plugin CIBLOC
 * @copyright 2018 MTECT
 * @author Christophe IMBERTI (cf. CPI art L121-1)
 * @license GNU/GPLv3
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function cibloc_lire_cache_definition() {
	static $charger;
	$chemin = _DIR_CACHE . 'cibloc_definition-cache.php';

	// chargement initial des definitions mises en cache, ou generation du cache
	if (!$charger and cibloc_verifier_install2()) {
		if (!($ok = @is_readable($chemin)) or !jeune_fichier($chemin, 7 * 24 * 3600)) {
			include_spip('inc/cibloc_cache');
			cibloc_ecrire_cache_definition();
			if (!($ok = @is_readable($chemin))) {
				spip_log("fichier $chemin pas cree", _LOG_ERREUR);
			}
		}

		if ($ok) {
			include_once $chemin;
			$charger = true;
		}
	}
}

function cibloc_verifier_install2() {
	$return = true;

	if (!isset($GLOBALS['meta']['cibloc_base_version'])) {
		$return = false;
	} elseif (substr($GLOBALS['meta']['cibloc_base_version'], 0, 2) == '1.') {
		$return = false;
	}

	return true;
}
